Bug 73543 - Unexpected errors in LD_DEBUG debug logs?
Unexpected errors in LD_DEBUG debug logs?
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 18:30 EDT by Joe Orton
Modified: 2016-11-24 09:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-05 18:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2002-09-05 18:30:34 EDT
Description of Problem:
Whilst using LD_DEBUG to track down an Apache bug, I noticed that the debug 
log produced using LD_DEBUG=files contains some curious errors along with the
normal output: a number of errors as follows:

31622:  /lib/libnss_nisplus.so.2: error: relocation error: undefined symbol:
_nss_nisplus_initgroups_dyn (fatal)

The processes operate correctly and the debug log contains all the expected
output along with these errors messages.

Version-Release number of selected component (if applicable):
glibc-2.2.93-3

How Reproducible:
Always

Steps to Reproduce:
From a recent "everything" install:

$ su -
# LD_DEBUG=files LD_DEBUG_OUTPUT=/tmp/ldebug /usr/sbin/httpd
# service httpd stop

Actual Results:
# grep error /tmp/ldebug.*
many errors in log like:
31622:
/lib/libnss_files.so.2: error: relocation error: undefined symbol:
_nss_files_initgroups_dyn (fatal)

Expected Results:
No errors
Comment 1 Jakub Jelinek 2002-09-09 07:08:38 EDT
That comes from dlsym() - only libnss_nis.so.2 contains a initgroups_dyn
handler and the generic code just attempts to look it up and if it has not
succeeded, falls back to a default handling.

Note You need to log in before you can comment on or make changes to this bug.